aboutsummaryrefslogtreecommitdiffstats
path: root/main/gcc/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2012-02-11 01:16:21 +0200
committerTimo Teräs <timo.teras@iki.fi>2012-02-11 01:16:57 +0200
commit205273e4ef4eecdb657a3ce1dc8454128c3360eb (patch)
treec938e02bb6af73eb0c3534b28c698c69ce8b7b54 /main/gcc/APKBUILD
parenta0d9d3b125f5cbcc9f9ad1344f2ab1154a42329a (diff)
downloadaports-205273e4ef4eecdb657a3ce1dc8454128c3360eb.tar.gz
aports-205273e4ef4eecdb657a3ce1dc8454128c3360eb.tar.bz2
aports-205273e4ef4eecdb657a3ce1dc8454128c3360eb.tar.xz
main/gcc: fix pax flags for gcc, g++ and gij
ref #998
Diffstat (limited to 'main/gcc/APKBUILD')
-rw-r--r--main/gcc/APKBUILD10
1 files changed, 7 insertions, 3 deletions
diff --git a/main/gcc/APKBUILD b/main/gcc/APKBUILD
index ce50947688..e093315b05 100644
--- a/main/gcc/APKBUILD
+++ b/main/gcc/APKBUILD
@@ -7,7 +7,7 @@ _specs_gcc_ver=4.4.3
_uclibc_abiver=0.9.32
-pkgrel=4
+pkgrel=5
pkgdesc="The GNU Compiler Collection"
url="http://gcc.gnu.org"
arch="all"
@@ -235,6 +235,8 @@ package() {
mkdir -p "$pkgdir"/usr/share/gdb/python/auto-load/usr/lib
mv "$pkgdir"/usr/lib/*-gdb.py \
"$pkgdir"/usr/share/gdb/python/auto-load/usr/lib/
+
+ paxctl -c -pmrs "$pkgdir/$libexec/cc1" || return 1
}
libcxx() {
@@ -254,6 +256,8 @@ gpp() {
"$subpkgdir"/usr/lib \
mv "$pkgdir/$libexec/cc1plus" "$subpkgdir/$libexec/"
+ paxctl -c -pmrs "$subpkgdir/$libexec/cc1plus" || return 1
+
mv "$pkgdir"/usr/lib/*++* "$subpkgdir"/usr/lib/
mv "$pkgdir"/usr/include/c++ "$subpkgdir"/usr/include/
mv "$pkgdir"/usr/bin/*++ "$subpkgdir"/usr/bin/
@@ -284,7 +288,7 @@ libgomp() {
java() {
pkgdesc="Java support for GCC"
- paxctl -c -p -e -m "$pkgdir"/usr/libexec/gcc/*/*/ecj1 || return 1
+ paxctl -c -pm "$pkgdir"/usr/libexec/gcc/*/*/ecj1 || return 1
mkdir -p "$subpkgdir"/usr/bin "$subpkgdir"/usr/lib
cd "$pkgdir"/usr/bin
mv gcj gcj-dbtool gjavah gcjh jcf-dump "$subpkgdir"/usr/bin/
@@ -304,7 +308,7 @@ libgcj() {
pkgdesc="Java runtime library for gcc"
mkdir -p "$subpkgdir"/usr/bin
cd "$pkgdir"/usr/bin
- paxctl -c -m "$pkgdir"/usr/bin/gij || return 1
+ paxctl -c -pmE "$pkgdir"/usr/bin/gij || return 1
mv aot-compile gappletviewer gc-analyze gij gjar gjarsigner gkeytool\
gnative2ascii gorbd grmic grmid grmiregistry gserialver \
gtnameserv i486-alpine-linux-uclibc-gcj jv-convert \